Subject: bug#47945: closed (Re: bug#47945: My Mistake)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 22 Apr 2021 23:44:02 +0000

Your bug report

#47945: 4096 Sector bug

which was filed against the parted package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47945: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47945
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47945: My Mistake
From: "Brian C. Lane" <[email-masked]>
To: [email-masked]
Date: Thu, 22 Apr 2021 16:42:59 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Apr 22, 2021 at 07:21:34PM -0400, Eric Wood wrote:
> I apologize for sending my bug report to the wrong place:  I assumed 
> that gparted was just a short form for GNU Parted which it is not.  The 
> problem is with gparted not parted.  Sorry for any inconvenience caused.

Thanks for the clarification.

Brian

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart

Subject: 4096 Sector bug
From: Eric Wood <[email-masked]>
To: [email-masked]
Date: Wed, 21 Apr 2021 19:46:50 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I recently installed Ubuntu on a SSD with logical/physical sector size 
of 4096/4096.  Everything works fine; however, just for curiosity I did 
a check on the efi partition 500MB, formatted as FAT32.

I got the following error messages: (See image).

This does not happen on a usb drive with 512 byte sectors.

Everything looks fine when I check with fsck.fat:

fsck.fat 4.1 (2017-01-24)
Checking we can access the last sector of the filesystem
Boot sector contents:
System ID "mkfs.fat"
Media byte 0xf8 (hard disk)
       4096 bytes per logical sector
       4096 bytes per cluster
         32 reserved sectors
First FAT starts at byte 131072 (sector 32)
          2 FATs, 32 bit entries
     512000 bytes per FAT (= 125 sectors)
Root directory start at cluster 2 (arbitrary size)
Data area starts at byte 1155072 (sector 282)
     127718 data clusters (523132928 bytes)
63 sectors/track, 255 heads
       2048 hidden sectors
     128000 sectors total
Checking for unused clusters.
Checking free cluster summary.
/dev/sda1: 11 files, 1997/127718 clusters

Here is the output you requested from parted:

Model: Unknown (unknown)
Disk /dev/sda1: 524MB
Sector size (logical/physical): 4096B/4096B
Partition Table: loop
Disk Flags:

Number  Start  End    Size   File system  Flags
  1      0.00B  524MB  524MB  fat32

Model: Unknown (unknown)
Disk /dev/sda1: 128000s
Sector size (logical/physical): 4096B/4096B
Partition Table: loop
Disk Flags:

Number  Start  End      Size     File system  Flags
  1      0s     127999s  128000s  fat32

Model: Unknown (unknown)
Disk /dev/sda1: 55,197,1
Sector size (logical/physical): 4096B/4096B
BIOS cylinder,head,sector geometry: 55,255,9.  Each cylinder is 9400kB.
Partition Table: loop
Disk Flags:

Thanks!

Eric (Wood)